espresso 0.3.0+5 copy "espresso: ^0.3.0+5" to clipboard
espresso: ^0.3.0+5 copied to clipboard

Java classes for testing Flutter apps using Espresso. Allows driving Flutter widgets from a native Espresso test.

0.3.0+5 #

  • Updates minimum supported SDK version to Flutter 3.3/Dart 2.18.
  • Bumps okhttp version to 4.11.0.

0.3.0+4 #

  • Fixes compatibility with AGP versions older than 4.2.

0.3.0+3 #

  • Adds targetCompatibilty matching sourceCompatibility for older toolchains.

0.3.0+2 #

  • Adds a namespace for compatibility with AGP 8.0.

0.3.0+1 #

  • Sets an explicit Java compatibility version.

0.3.0 #

  • BREAKING CHANGE: Migrates uses of the deprecated @Beta annotation to the new @ExperimentalApi annotation.
  • Changes the severity of javac warnings so that they are treated as errors and fixes the violations.
  • Aligns Dart and Flutter SDK constraints.

0.2.1 #

  • Updates the version of com.google.truth:truth to 1.1.3.

0.2.0+10 #

  • Updates espresso dependencies.
  • Fixes example app to compile with multidex.
  • Updates compileSdkVersion to 33.

0.2.0+9 #

  • Updates links for the merge of flutter/plugins into flutter/packages.

0.2.0+8 #

  • Updates espresso and junit dependencies.

0.2.0+7 #

  • Updates espresso gradle and gson dependencies.
  • Updates minimum Flutter version to 3.0.

0.2.0+6 #

  • Updates espresso-accessibility to 3.5.1.
  • Updates espresso-idling-resource to 3.5.1.

0.2.0+5 #

  • Updates android gradle plugin to 7.3.1.

0.2.0+4 #

  • Updates minimum Flutter version to 2.10.
  • Bumps gson to 2.9.1

0.2.0+3 #

  • Bumps okhttp to 4.10.0.

0.2.0+2 #

  • Fixes library_private_types_in_public_api, sort_child_properties_last and use_key_in_widget_constructors lint warnings.

0.2.0+1 #

  • Adds OS version support information to README.
  • Updates androidx.test.ext:junit and androidx.test.ext:truth for compatibility with updated Flutter template.

0.2.0 #

  • Updates compileSdkVersion to 31.
  • Breaking Change Update guava version to latest stable: com.google.guava:guava:31.1-android.

0.1.0+4 #

  • Updated Android lint settings.
  • Updated package description.

0.1.0+3 #

  • Remove references to the Android v1 embedding.

0.1.0+2 #

  • Migrate maven repo from jcenter to mavenCentral

0.1.0+1 #

  • Minor code cleanup
  • Package metadata updates

0.1.0 #

  • Update SDK requirement for null-safety compatibility.

0.0.1+9 #

  • Update Flutter SDK constraint.

0.0.1+8 #

  • Android: Handle deprecation & unchecked warning as error.

0.0.1+7 #

  • Update android compileSdkVersion to 29.

0.0.1+6 #

  • Keep handling deprecated Android v1 classes for backward compatibility.

0.0.1+5 #

  • Replace deprecated getFlutterEngine call on Android.
  • Fix CocoaPods podspec lint warnings.

0.0.1+4 #

  • Remove Swift dependency.

0.0.1+3 #

  • Make the pedantic dev_dependency explicit.

0.0.1+2 #

  • Update te example app to avoid using deprecated api.

0.0.1+1 #

  • Updates to README to avoid unnecessary imports and warnings.

0.0.1 #

  • Initial open-source release of Espresso bindings for Flutter.
23
likes
0
pub points
86%
popularity

Publisher

verified publisherflutter.dev

Java classes for testing Flutter apps using Espresso. Allows driving Flutter widgets from a native Espresso test.

Repository (GitHub)
View/report issues

License

unknown (license)

Dependencies

flutter

More

Packages that depend on espresso